Đến nội dung


Hình ảnh

Bạn nào biết cách chèn lệnh tính tổng chiều dài vào cad không?


  • Please log in to reply
9 replies to this topic

#1 tuanphuongbh

tuanphuongbh

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 45 (tàm tạm)

Đã gửi 26 June 2008 - 11:13 AM

Mình có mấy hàm tính tổng chiều dài nhưng không biết cách chèn vào autocad. Bạn nào biết chỉ mình dùm đi. Cảm ơn nhiều!
  • 1

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 26 June 2008 - 01:00 PM

Mình có mấy hàm tính tổng chiều dài nhưng không biết cách chèn vào autocad. Bạn nào biết chỉ mình dùm đi. Cảm ơn nhiều!

Nói rõ hơn đi bạn!
  • 0

#3 tuanphuongbh

tuanphuongbh

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 45 (tàm tạm)

Đã gửi 26 June 2008 - 01:11 PM

Nói rõ hơn đi bạn!

Mình muốn chèn lệnh đó vào cad để chọn nhiều line cùng lúc, rồi dùng lệnh tcd là hiện ra tổng chiều dài của tất cả line vừa chọn.
  • 0

#4 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 26 June 2008 - 01:38 PM

Mình muốn chèn lệnh đó vào cad để chọn nhiều line cùng lúc, rồi dùng lệnh tcd là hiện ra tổng chiều dài của tất cả line vừa chọn.

Bạn xem topic này nhé!
http://www.cadviet.c...o...=80&hl=load
  • 0

#5 tuanphuongbh

tuanphuongbh

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 45 (tàm tạm)

Đã gửi 27 June 2008 - 11:28 AM

Bạn xem topic này nhé!
http://www.cadviet.com/forum/index.php?sho...=80&hl=load

Mình biết làm rồi, chỉ cần paste mấy file đó vào thẳng bản vẽ là xong. Cảm ơn bạn nha!
  • 0

#6 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 27 June 2008 - 11:30 AM

chỉ cần paste mấy file đó vào thẳng bản vẽ là xong

Nếu bạn thực hiện cho ra kết quả đúng thì ổn. Tuy nhiên cách diễ đạt của bạn nghe khó hiểu!
  • 1

#7 minh2453

minh2453

    biết lệnh scale

  • Members
  • PipPipPip
  • 146 Bài viết
Điểm đánh giá: 42 (tàm tạm)

Đã gửi 28 July 2008 - 11:22 PM

có cái em muốn hỏi.em cũng đã có 1 lisp để tính tổng các DIM.kết quả hiện ra ở thanh status.
em cũng biết lệnh (alert "Hien len thong bao" ) là để hiện lên thông báo dạng của sổ.
Em nghĩ, nếu tích hợp đc 2 cái này thì hay quá.kết quả tổng dim sẽ đc hiện lên dưới dạng window.rất tiện.
em đã thử làmmà ko đc.anh nào giúp em nhé
  • 0
Đừng giấu những gì bạn biết và những thứ bạn không biết

#8 tuanphuongbh

tuanphuongbh

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 45 (tàm tạm)

Đã gửi 29 July 2008 - 11:39 AM

có cái em muốn hỏi.em cũng đã có 1 lisp để tính tổng các DIM.kết quả hiện ra ở thanh status.
em cũng biết lệnh (alert "Hien len thong bao" ) là để hiện lên thông báo dạng của sổ.
Em nghĩ, nếu tích hợp đc 2 cái này thì hay quá.kết quả tổng dim sẽ đc hiện lên dưới dạng window.rất tiện.
em đã thử làmmà ko đc.anh nào giúp em nhé

Hình như không có cách đó đâu bạn.
  • 0

#9 Phidoi_gabay

Phidoi_gabay

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 29 July 2008 - 11:46 AM

Mình có mấy hàm tính tổng chiều dài nhưng không biết cách chèn vào autocad. Bạn nào biết chỉ mình dùm đi. Cảm ơn nhiều!

Đây nè !
(defun add_mline () (foreach e_record_sub e_record (cond ((= 10 (car e_record_sub)) (setq pt1 (cdr e_record_sub) mline_len 0.0 ) ) ((= 11 (car e_record_sub)) (setq pt2 (cdr e_record_sub) mline_len (+ mline_len (distance pt2 pt1)) pt1 pt2 ) ) ) ) (setq tot_len (+ tot_len mline_len)) (ssdel e_name ss));;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:tg (/ tot_len ss e_name e_record e_type) (setq tot_len 0.0) (setq ss (ssget)) (if (null ss) (exit) ) (while (> (sslength ss) 0) (setq e_name (ssname ss 0)) (setq e_record (entget e_name)) (setq e_type (cdr (assoc '0 e_record))) (cond ((wcmatch e_type "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE") (command "lengthen" e_name "") (setq tot_len (+ tot_len (getvar "PERIMETER"))) (ssdel e_name ss) ) ((wcmatch e_type "MLINE") (add_mline)) (e_type (ssdel e_name ss)) ) ) (prompt (strcat "\nTotal length is: " (rtos tot_len 2 2))) (princ))

  • 0

#10 Snowman

Snowman

    biết lệnh mirror

  • Members
  • PipPipPip
  • 155 Bài viết
Điểm đánh giá: 90 (tàm tạm)

Đã gửi 30 July 2008 - 06:26 PM

có cái em muốn hỏi.em cũng đã có 1 lisp để tính tổng các DIM.kết quả hiện ra ở thanh status.
em cũng biết lệnh (alert "Hien len thong bao" ) là để hiện lên thông báo dạng của sổ.
Em nghĩ, nếu tích hợp đc 2 cái này thì hay quá.kết quả tổng dim sẽ đc hiện lên dưới dạng window.rất tiện.
em đã thử làmmà ko đc.anh nào giúp em nhé

Đây là cái bạn muốn, tuy nhiên hơi bất tiện nếu bạn muốn copy kết quả, do đó tôi để cả 2 thông báo.
(defun add_mline ()
(foreach e_record_sub e_record
(cond ((= 10 (car e_record_sub))
(setq pt1 (cdr e_record_sub)
mline_len 0.0
)
)
((= 11 (car e_record_sub))
(setq pt2 (cdr e_record_sub)
mline_len (+ mline_len (distance pt2 pt1))
pt1 pt2
)
)
)
)
(setq tot_len (+ tot_len mline_len))
(ssdel e_name ss)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:tg (/ tot_len ss e_name e_record e_type)
(setq tot_len 0.0)
(setq ss (ssget))
(if (null ss)
(exit)
)
(while (> (sslength ss) 0)
(setq e_name (ssname ss 0))
(setq e_record (entget e_name))
(setq e_type (cdr (assoc '0 e_record)))
(cond ((wcmatch e_type
"LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE"
)
(command "lengthen" e_name "")
(setq tot_len (+ tot_len (getvar "PERIMETER")))
(ssdel e_name ss)
)
((wcmatch e_type "MLINE") (add_mline))
(e_type (ssdel e_name ss))
)
)
(setq tbao (strcat "\nTotal length is: " (rtos tot_len 2 2)))
(alert tbao)
(prompt tbao)
(princ)

)

  • 0

. - ' * ' - .. - ... "Sống trong đời sống cần có một tấm lòng..." . - ' * ' - .. -
-----------------------------------------------------------------------------------

Hình đã gửi Hình đã gửi